$clientCertificateRef = # The EPR to the AMT_PublicKeyCertificate object created by the Certificate Management, 'Add a Public Key Certificate' use case.
$rootCertificateRef = # The EPR to the AMT_PublicKeyCertificate object created by the Certificate Management, 'Add a Trusted Root Certificate' use case.
$8021XProfileRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_8021XProfile WHERE InstanceID='Intel(r) AMT 802.1x Profile 0'")
$8021XProfileInstance = $8021XProfileRef.Get()
$8021XProfileInstance.SetProperty("ElementName", "Intel(r) AMT 802.1x Profile")
$8021XProfileInstance.SetProperty("InstanceID", "Intel(r) AMT 802.1x Profile0")
$8021XProfileInstance.SetProperty("Enabled", "true")
$8021XProfileInstance.SetProperty("AuthenticationProtocol", "0")
$8021XProfileInstance.SetProperty("ServerCertificateName", "demo.intel.com")
$8021XProfileInstance.SetProperty("ServerCertificateNameComparison", "0")
$8021XProfileInstance.SetProperty("Username", "myUser")
$8021XProfileInstance.SetProperty("ClientCertificate", $clientCertificateRef)
$8021XProfileInstance.SetProperty("ServerCertificateIssuer", $rootCertificateRef)
$8021XProfileInstance.SetProperty("ActiveInS0", "true")
$8021XProfileRef.Put($8021XProfileInstance)