﻿$clientCertificateRef = # The EPR to the AMT_PublicKeyCertificate object created by the Certificate Management, 'Add a Public Key Certificate' use case.
$rootCertificateRef = # The EPR to the AMT_PublicKeyCertificate object created by the Certificate Management, 'Add a Trusted Root Certificate' use case.

$iee8021xSettingsRef = $wsmanConnectionObject.NewReference("SELECT * FROM IPS_IEEE8021xSettings WHERE InstanceID='Intel(r) AMT: 8021X Settings'")
try
{
	$iee8021xSettingsInstance = $iee8021xSettingsRef.Get()	
	$iee8021xSettingsInstance.SetProperty("ElementName","Intel(r) AMT: 8021X Settings")
	$iee8021xSettingsInstance.SetProperty("InstanceID", "Intel(r) AMT: 8021X Settings")
	$iee8021xSettingsInstance.SetProperty("Enabled","2")# '2' = True
	$iee8021xSettingsInstance.SetProperty("AuthenticationProtocol", "0")
	$iee8021xSettingsInstance.SetProperty("Username", "myUser")
	$iee8021xSettingsInstance.SetProperty("AvailableInS0", "true")
	$iee8021xSettingsInstance.SetProperty("ServerCertificateName", "MyServerCertificateName")
	$iee8021xSettingsInstance.SetProperty("ServerCertificateNameComparison", "3") # '3' = DomainSuffix
	$iee8021xSettingsRef.Put($iee8021xSettingsInstance)
}
catch #should create a local version of the IPS_IEEE8021xSettings
{
	$iee8021xSettingsInstance = $wsmanConnectionObject.NewInstance("IPS_IEEE8021xSettings")
	$iee8021xSettingsInstance.SetProperty("ElementName","Intel(r) AMT: 8021X Settings")
	$iee8021xSettingsInstance.SetProperty("InstanceID", "Intel(r) AMT: 8021X Settings")
	$iee8021xSettingsInstance.SetProperty("Enabled","2")# '2' = True
	$iee8021xSettingsInstance.SetProperty("AuthenticationProtocol", "0")
	$iee8021xSettingsInstance.SetProperty("Username", "myUser")
	$iee8021xSettingsInstance.SetProperty("AvailableInS0", "true")
	$iee8021xSettingsInstance.SetProperty("ServerCertificateName", "MyServerCertificateName")
	$iee8021xSettingsInstance.SetProperty("ServerCertificateNameComparison", "3") # '3' = DomainSuffix
	$iee8021xSettingsRef = $iee8021xSettingsInstance.Create()
}