﻿$auditLogRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_AuditLog WHERE Name='Intel(r) AMT:Audit Log'")
$inputObject = $auditLogRef.CreateMethodInput("ExportAuditLogSignature")
$inputObject.SetProperty("SigningMechanism", "1")
$outputObject = $auditLogRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	$totalRecordCount = $outputObject.GetProperty("TotalRecordCount")
	$signatureMechanism = $outputObject.GetProperty("SignatureMechanism")
	$signature = $outputObject.GetProperty("Signature")
	$uuid = $outputObject.GetProperty("UUID")
	$fqdn = $outputObject.GetProperty("FQDN")
	$lengthOfCertificates = $outputObject.GetProperty("LengthOfCertificates")
}