########## Blank the screen, pause, then un-blank the screen ##########

#Start blanking the screen with 2 reboots allowed, wait for 30 seconds, then stop blanking
$screenPropRef = $wsmanConnectionObject.NewReference("SELECT * FROM IPS_ScreenConfigurationService")
$screenPropInstance = $screenPropRef.Get()
$inputObject = $screenPropRef.CreateMethodInput("SetSessionState")
$inputObject.SetProperty("SessionState", "1")
$inputObject.SetProperty("ConsecutiveRebootsNum", "2")
$outputObject = $screenPropRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue") 
Write-Host "Blank the screen. Return (0 = success):   "  $returnValue
Start-Sleep -s 20
$inputObject.SetProperty("SessionState", "0")
$inputObject.SetProperty("ConsecutiveRebootsNum", "0")
$outputObject = $screenPropRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue") 
Write-Host "Stop blanking the screen. Return (0 = success): "  $returnValue