$generalSettingsRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_GeneralSettings where InstanceID='Intel(r) AMT: General Settings'")
$generalSettingInstance = $generalSettingsRef.Get()
$generalSettingInstance.SetProperty("NetworkInterfaceEnabled", "true")
$generalSettingInstance.SetProperty("IdleWakeTimeout", "5")
$generalSettingInstance.SetProperty("HostName", "demo")
$generalSettingInstance.SetProperty("DomainName", "intel.com")
$generalSettingInstance.SetProperty("PingResponseEnabled", "true")
$generalSettingInstance.SetProperty("WsmanOnlyMode", "true")
$generalSettingInstance.SetProperty("RmcpPingResponseEnabled", "true")
$generalSettingInstance.SetProperty("PresenceNotificationInterval", "15")
$fwVersion = GetCoreVersion 
if($fwVersion.ToString() -ge "6.0")
{
    $generalSettingInstance.SetProperty("SharedFQDN", "true")
    $generalSettingInstance.SetProperty("PreferredAddressFamily", "0")
    $generalSettingInstance.SetProperty("DHCPv6ConfigurationTimeout", "0")
    $generalSettingInstance.SetProperty("DDNSUpdateEnabled", "false")
    $generalSettingInstance.SetProperty("DDNSTTL", "1000")
    $generalSettingInstance.SetProperty("DDNSPeriodicUpdateInterval", "1440")
}
$generalSettingsRef.Put($generalSettingInstance)