$libSettingsFile = # Path of the Redirection library ini file (MC.ini)
$imrLib = New-Object Intel.Management.Redirection.MediaRedirection

# Initialize the Intel Media Redirection Library.
[Intel.Management.Redirection.IMRVersion]$imrVersion = New-Object Intel.Management.Redirection.IMRVersion
$imrResult = $imrLib.Init([ref] $imrVersion, $libSettingsFile)

# Define a redirection client based on the WsmanConnection Address
$imrClient = $imrLib.GetClientInfo($wsmanConnectionObject.Address)

# Add the redirection client to the Library (Library returns clientID).
$clientId = [System.UInt32]::MaxValue
$imrResult = $imrLib.AddClient($imrClient, [ref]$clientId)