﻿$remoteAccessServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_RemoteAccessService WHERE Name='Intel(r) AMT Remote Access Service'")
$inputObject = $remoteAccessServiceRef.CreateMethodInput("AddMpServer")
$inputObject.SetProperty("AccessInfo", "mpsDemo.intel.com") 
$inputObject.SetProperty("InfoFormat", "201") 
$inputObject.SetProperty("Port", "111")  
$inputObject.SetProperty("AuthMethod", "2") 
$inputObject.SetProperty("Username", "myUser")
$inputObject.SetProperty("Password", "P@ssw0rd")
$outputObject = $remoteAccessServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	# The $mpServerRef is an EPR to the new AMT_ManagementPresenceRemoteSAP object.
	$mpServerRef = $outputObject.GetProperty("MpServer").Ref
}