$powerManagementRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_PowerManagementService WHERE Name='Intel(r) AMT Power Management Service'")
$inputObject = $powerManagementRef.CreateMethodInput("RequestPowerStateChange")
$inputObject.SetProperty("PowerState", "5") # '5' = SoftPowerCycle.
$computerSystemRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_ComputerSystem WHERE Name='ManagedSystem'")
$inputObject.SetProperty("ManagedElement", $computerSystemRef)
$outputObject = $powerManagementRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")