$bootSettingDataRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_BootSettingData WHERE InstanceID='Intel(r) AMT:BootSettingData 0'")
$bootSettingDataInstance = $bootSettingDataRef.Get()
$bootSettingDataInstance.SetProperty("BIOSPause", "false")
$bootSettingDataInstance.SetProperty("BIOSSetup", "false")
$bootSettingDataInstance.SetProperty("BootMediaIndex", "0")
$bootSettingDataInstance.SetProperty("ConfigurationDataReset", "false")
$bootSettingDataInstance.SetProperty("FirmwareVerbosity", "0")
$bootSettingDataInstance.SetProperty("ForcedProgressEvents", "false")
$bootSettingDataInstance.SetProperty("IDERBootDevice", "0")
$bootSettingDataInstance.SetProperty("LockKeyboard", "false")
$bootSettingDataInstance.SetProperty("LockPowerButton", "false")
$bootSettingDataInstance.SetProperty("LockResetButton", "false")
$bootSettingDataInstance.SetProperty("LockSleepButton", "false")
$bootSettingDataInstance.SetProperty("ReflashBIOS", "false")
$bootSettingDataInstance.SetProperty("BIOSSetup", "false")
$bootSettingDataInstance.SetProperty("UseIDER", "false")
$bootSettingDataInstance.SetProperty("UseSOL", "false")
$bootSettingDataInstance.SetProperty("UseSafeMode", "false")
$bootSettingDataInstance.SetProperty("UserPasswordBypass", "false")
$bootSettingDataRef.Put($bootSettingDataInstance)

$bootConfigSettingRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_BootConfigSetting WHERE InstanceID='Intel(r) AMT: Boot Configuration 0'")
$bootSourceSettingRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_BootSourceSetting WHERE InstanceID='Intel(r) AMT: Force CD/DVD Boot'")
$inputObject = $bootConfigSettingRef.CreateMethodInput("ChangeBootOrder")
$fwVersion = GetCoreVersion
if($fwVersion.ToString() -lt "5.1")
{
	$inputObject.SetProperty("source", @($bootSourceSettingRef))
}
else
{
	$inputObject.SetProperty("Source", @($bootSourceSettingRef))
}
$outputObject = $bootConfigSettingRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")