﻿$thirdPartyDataStorageAdministrationServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_ThirdPartyDataStorageAdministrationService WHERE Name='Intel(r) AMT Third Party Data Storage Administration Service'")
$inputObject = $thirdPartyDataStorageAdministrationServiceRef.CreateMethodInput("GetGlobalStorageAttributes")
$outputObject = $thirdPartyDataStorageAdministrationServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	$totalStorage = $outputObject.GetProperty("TotalStorage")
	$totalAllocatedStorage = $outputObject.GetProperty("TotalAllocatedStorage")
	$maxPartnerStorage = $outputObject.GetProperty("MaxPartnerStorage")
	$totalPartnerAllocatedStorage = $outputObject.GetProperty("TotalPartnerAllocatedStorage")
	$maxNonPartnerStorage = $outputObject.GetProperty("MaxNonPartnerStorage")
	$maxFpaclEntries = $outputObject.GetProperty("MaxFpaclEntries")
	$maxAslEntries = $outputObject.GetProperty("MaxAslEntries")
	$maxEaclEntries = $outputObject.GetProperty("MaxEaclEntries")
	$maxGroupsPerBlock = $outputObject.GetProperty("MaxGroupsPerBlock")
	$maxMembersPerGroup = $outputObject.GetProperty("MaxMembersPerGroup")
	$maxNonPartnerTotalAllocationSize = $outputObject.GetProperty("MaxNonPartnerTotalAllocationSize")
}