$thirdPartyDataStorageServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_ThirdPartyDataStorageService WHERE Name='Intel(r) AMT Third Party Data Storage Service'")
$inputObject = $thirdPartyDataStorageServiceRef.CreateMethodInput("AddPermissionsGroupMembers")
# $sessionHandle is the session handle returned by 'RegisterApplication' method.
$inputObject.SetProperty("SessionHandle", $sessionHandle.ToString())
# $blockHandle is the block handle returned by 'Create a block for the registered application' use case.
$inputObject.SetProperty("BlockHandle", $blockHandle.ToString())
# $groupHandle is the group handle returned by 'AddPermissionsGroup' method.
$inputObject.SetProperty("GroupHandle", $groupHandle.ToString())
# $applicationHandle is the application handle returned by 'GetCurrentApplicationHandle' method. 
$inputObject.SetProperty("MemberHandles", $applicationHandle.ToString())
$outputObject = $thirdPartyDataStorageServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")