$thirdPartyDataStorageServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_ThirdPartyDataStorageService WHERE Name='Intel(r) AMT Third Party Data Storage Service'")
$inputObject = $thirdPartyDataStorageServiceRef.CreateMethodInput("ReadBlock")
# $sessionHandle is the session handle returned by 'RegisterApplication' method.
$inputObject.SetProperty("SessionHandle", $sessionHandle.ToString())
# $blockHandle is the block handle returned by 'Create a block for the registered application' use case.
$inputObject.SetProperty("BlockHandle", $blockHandle.ToString())
$inputObject.SetProperty("ByteOffset", "0")
$inputObject.SetProperty("ByteCount", "11")
$outputObject = $thirdPartyDataStorageServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	$data = $outputObject.GetProperty("Data")
}