$thirdPartyDataStorageServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_ThirdPartyDataStorageService WHERE Name='Intel(r) AMT Third Party Data Storage Service'")
$inputObject = $thirdPartyDataStorageServiceRef.CreateMethodInput("AllocateBlock")
# $sessionHandle is the session handle returned by 'RegisterApplication' method.
$inputObject.SetProperty("SessionHandle", $sessionHandle.ToString())
$inputObject.SetProperty("BytesRequested", "4096")
$inputObject.SetProperty("BlockHidden", "true")
$inputObject.SetProperty("BlockName", "MyBlock")
$outputObject = $thirdPartyDataStorageServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	$blockHandle = $outputObject.GetProperty("BlockHandle")
}