$thirdPartyDataStorageServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_ThirdPartyDataStorageService WHERE Name='Intel(r) AMT Third Party Data Storage Service'")
$inputObject = $thirdPartyDataStorageServiceRef.CreateMethodInput("GetAllocatedBlocks")
# $sessionHandle is the session handle returned by 'RegisterApplication' method.
$inputObject.SetProperty("SessionHandle", $sessionHandle.ToString())
# $applicationHandle is the application handle returned by 'GetCurrentApplicationHandle' method. 
$inputObject.SetProperty("BlockOwnerApplication", $applicationHandle.ToString())
$outputObject = $thirdPartyDataStorageServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	$blockHandles = $outputObject.GetProperty("BlockHandles")
}