﻿# Delete ethernet filters that have a specific name.
$name = "MyEthernetFilter"
$hdr8021FilterRef = $wsmanConnectionObject.NewReference("AMT_Hdr8021Filter")
foreach($hdr8021FilterItem in $hdr8021FilterRef.Enumerate())
{
	$hdr8021FilterRef = $hdr8021FilterItem.Object.ToReference("InstanceID")
	$hdr8021FilterInstance = $hdr8021FilterRef.Get()
	if($hdr8021FilterInstance.GetProperty("Name") -like $name)
	{
		$hdr8021FilterRef.Delete()
	}
}
# Delete all IP filters with a "Statistics + Drop" filter profile.
$filterProfile = "1"
$ipHeadersFilterRef = $wsmanConnectionObject.NewReference("AMT_IPHeadersFilter")
foreach($ipHeadersFilterItem in $ipHeadersFilterRef.Enumerate())
{
	$ipHeadersFilterRef = $ipHeadersFilterItem.Object.ToReference("InstanceID")
	$ipHeadersFilterInstance = $ipHeadersFilterRef.Get()
	if($ipHeadersFilterInstance.GetProperty("FilterProfile") -like $filterProfile)
	{
		$ipHeadersFilterRef.Delete()
	}
}