﻿# Select the wired interface.
$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
# Create the AMT_NetworkPortDefaultSystemDefensePolicy instance with the relevant keys.
$networkPortDefaultSystemDefensePolicyInstance = $wsmanConnectionObject.NewInstance("AMT_NetworkPortDefaultSystemDefensePolicy")
$networkPortDefaultSystemDefensePolicyInstance.SetProperty("Antecedent", $ethernetPortRef)
# $systemDefensePolicyRef is an EPR to the AMT_SystemDefensePolicy object created by 'Create a System Defense Policy' use case.
$networkPortDefaultSystemDefensePolicyInstance.SetProperty("Dependent", $systemDefensePolicyRef)
$networkPortDefaultSystemDefensePolicyRef = $networkPortDefaultSystemDefensePolicyInstance.Create()