﻿# Select the wired interface.
$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
$networkPortSystemDefensePolicyInstance = $wsmanConnectionObject.NewInstance("AMT_NetworkPortSystemDefensePolicy")
$networkPortSystemDefensePolicyInstance.SetProperty("Antecedent", $ethernetPortRef)
# $systemDefensePolicyRef is an EPR to the AMT_SystemDefensePolicy object created by the 'Create System Defense Policy' use case.
$networkPortSystemDefensePolicyInstance.SetProperty("Dependent", $systemDefensePolicyRef)
$networkPortSystemDefensePolicyRef = $networkPortSystemDefensePolicyInstance.Create()