﻿$wifiEndpointRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_WiFiEndpoint WHERE Name='WiFi Endpoint 0'")
$wifiEndpointSettingsInstance = $wsmanConnectionObject.NewInstance("CIM_WiFiEndpointSettings")
$wifiEndpointSettingsInstance.SetProperty("AuthenticationMethod", "4") # 4 = WPA PSK.
$wifiEndpointSettingsInstance.SetProperty("ElementName", "Wireless-Profile-TKIP")
$wifiEndpointSettingsInstance.SetProperty("InstanceID", "Wireless-Profile-TKIP")
$wifiEndpointSettingsInstance.SetProperty("EncryptionMethod", "3") # 3 = TKIP.
$wifiEndpointSettingsInstance.SetProperty("PSKPassPhrase", "P@ssw0rd")
$wifiEndpointSettingsInstance.SetProperty("Priority", "6")
$wifiEndpointSettingsInstance.SetProperty("SSID", "Wireless-API")
$wifiPortConfigurationServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_WiFiPortConfigurationService WHERE Name='Intel(r) AMT WiFi Port Configuration Service'")
$inputObject = $wifiPortConfigurationServiceRef.CreateMethodInput("AddWiFiSettings")
$inputObject.SetProperty("WiFiEndpoint", $wifiEndpointRef)
$inputObject.SetProperty("WiFiEndpointSettingsInput", $wifiEndpointSettingsInstance)
$outputObject = $wifiPortConfigurationServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	# The $wifiEndpointSettingsRef is an EPR to the new CIM_WiFiEndpointSettings object.
	$wifiEndpointSettingsRef = $outputObject.GetProperty("WiFiEndpointSettings").Ref
}