//  Copyright (C) 2007 Intel Corporation
#ifndef _AUTHENTICATOR_BASIC_H
#define _AUTHENTICATOR_BASIC_H

#include "Authenticator.h"

class AuthenticatorBasic :
	public Authenticator
{
public:
	AuthenticatorBasic(SPtr<Socket> socket, string user, string pwd);
	~AuthenticatorBasic(void);
	AuthenticationResult Authenticate();
private:
	string m_user;
	string m_pwd;
};

#endif /*_AUTHENTICATOR_BASIC_H*/
