/*   
********************************************************************************
**    Desktop Platforms Group (DPG) - Systems Software Engineering      
**    Copyright (c) Intel Corporation, 2005 - 2010.                                       
********************************************************************************
**                                                                            
**    INTEL CONFIDENTIAL                                                      
**    This file, software, or program is supplied under the terms of a        
**    license agreement and/or nondisclosure agreement with Intel Corporation 
**    and may not be copied or disclosed except in accordance with the        
**    terms of that agreement.  This file, software, or program contains      
**    copyrighted material and/or trade secret information of Intel           
**    Corporation, and must be treated as such.  Intel reserves all rights    
**    in this material, except as the license agreement or nondisclosure      
**    agreement specifically indicate.                                        
**                                                                            
**    All rights reserved.  No part of this program or publication            
**    may be reproduced, transmitted, transcribed, stored in a                
**    retrieval system, or translated into any language or computer           
**    language, in any form or by any means, electronic, mechanical,          
**    magnetic, optical, chemical, manual, or otherwise, without              
**    the prior written permission of Intel Corporation.                      
**                                                                            
**    Intel makes no warranty of any kind regarding this code.  This code     
**    is provided on an "As Is" basis and Intel will not provide any support, 
**    assistance, installation, training or other services.  Intel does not   
**    provide any updates, enhancements or extensions.  Intel specifically    
**    disclaims any warranty of merchantability, noninfringement, fitness     
**    for any particular purpose, or any other warranty.                      
**                                                                            
**    Intel disclaims all liability, including liability for infringement     
**    of any proprietary rights, relating to use of the code.  No license,    
**    express or implied, by estoppel or otherwise, to any intellectual       
**    property rights is granted herein.                                      
**/                                           
/**                                 
********************************************************************************
**
**    @file build.h
**
**    @brief Contains the global version strings
**
**    @author Christopher Spiegel
**
********************************************************************************
*/   

/* Sentry Header
 *******************/
#ifndef _BUILD_H_
#define _BUILD_H_

#ifdef __cplusplus
extern "C" {
#endif

/* Global Declarations
 **************************/

/** Build Version Number.  Updated by Build Server */
#define VER_BUILD          1
/** Build Version String.  Updated by Build Server */
#define VER_BUILD_STR     "99.99.99.7001"

#ifdef __cplusplus
}
#endif

/*** Global Functions
 **************************/

#endif // _BUILD_H_

