/****************************************************************
Copyright  2010, Intel Corporation. All rights reserved.
*****************************************************************/
#ifndef __VERSION_H__
#define __VERSION_H__

#include "build.h"

#define MAJOR_VERSION              16
#define MINOR_VERSION              0 // Minor version must be changed if external API is changed
#define QUICK_FIX_NUMBER           7 // This value is changed when a change is made that does not affect the API
#define SUBBUILD                   0
#define BUILDNUMBER                0

#define _MAKE_VER_STRING(maj, min, submin, bld)    #maj "." #min "." #submin "." #bld
#define MAKE_VER_STRING(maj, min, submin, bld)    _MAKE_VER_STRING(maj, min, submin, bld)

#define VER_PRODUCTVERSION          MAJOR_VERSION,MINOR_VERSION,QUICK_FIX_NUMBER,VER_BUILD
#define VER_PRODUCTVERSION_STR      MAKE_VER_STRING(MAJOR_VERSION, MINOR_VERSION, QUICK_FIX_NUMBER, VER_BUILD)

#endif
