﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.PSModule
{
    public class DirectoryItem
    {
        string _name;
        object _value;
        string[] _properties;
        static readonly string[]  _emptyProperties = new string[0];
        
        public DirectoryItem(string name, object value, string[] properties)
        {
            _name = name;
            _value = value;
            _properties = properties;
        }

        public string Name
        {
            get { return _name; }
        }

        public object Value
        {
            get { return _value; }
        }

        public string[] Properties
        {
            get
            {
                if (_properties == null)
                    return _emptyProperties;
                return _properties;
            }
        }
    }
}
