﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Intel.Management.Mei;
using Intel.Management.Wsman;

namespace Intel.Management.PSModule.Heci
{
    class HeciRoot : DriveContainer
    {
       

        public HeciRoot()
            : base(string.Empty, null)
        {
        }

        public override void GetChildItems(ChildWriter writer)
        {
            writer.Add(new SetupService(this));
           
        }

        public override object GetReturnObject()
        {
            return new NameValuePairItem(Name, Value);
        }

        public HECIClass Heci
        {
            get
            {

                return Intel.Management.PSModule.Amt.ConnectionManager.Heci;
             
            }
        }

        public IWsmanConnection Connection
        {
            get
            {
                return Intel.Management.PSModule.Amt.ConnectionManager.LocalSession;
            }
        }

        public override void Clear()
        {
            
        }
    } // class
}// namepace 
