﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IntelvProModule
{
    public class ManagedType
    {


        public enum ItemType
        {
            Folder,
            Setting,
            Acl,
        }

        public enum ItemSubtype
        {
            Logical,
            Phyical,
        }

        ItemType _type;
        ItemSubtype _subType;

        public ManagedType()
        {
            _type = ItemType.Folder;
            _subType = ItemSubtype.Logical;
        }


        public ManagedType(ItemType valueType,ItemSubtype subtype)
        {
            _type = valueType;
            _subType = subtype;
        }

      

        public ItemType Type
        {
            get
            {
                return _type;
            }
        }

        public ItemSubtype SubType
        {
            get
            {
                return _subType;
            }
        }

        public override string ToString()
        {
            return _subType.ToString() + _type.ToString();
        }
    }
}
