﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.Wsman
{

    /// <summary>
    /// An exception that is thrown when the request string in invalid
    /// </summary>
    public class WsmanQueryFormatException : WsmanException
    {

        /// <summary>
        /// Initializes a new instance of the WsmanQueryFormatException class with a message string
        /// </summary>
        /// <param name="message">The error message string</param>
        public WsmanQueryFormatException(string message) : base(message) { }
        /// <summary>
        /// Initializes a new instance of the WsmanQueryFormatException class with a message string a inner exception
        /// </summary>
        /// <param name="message">The error message string</param>
        /// <param name="inner">The inner exception reference</param>
        public WsmanQueryFormatException(string message, Exception inner) : base(message, inner) { } 

    }
}
