﻿$auditLogRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_AuditLog WHERE Name='Intel(r) AMT:Audit Log'")
$inputObject = $auditLogRef.CreateMethodInput("SetSigningKeyMaterial")
$inputObject.SetProperty("SigningMechanismType", "0") # '0' = RSA_SHA1
$signingKey = # A signing key in base64 format.
$inputObject.SetProperty("SigningKey", $signingKey)
$lengthOfCertificates =  # The length of the certificate in Hex format / 2
$inputObject.SetProperty("LengthOfCertificates", $lengthOfCertificates)
$certificates = # Certificate in base64 format.
$inputObject.SetProperty("Certificates", $certificates)
$outputObject = $auditLogRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")