$publicKeyManagementServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_PublicKeyManagementService WHERE Name='Intel(r) AMT Public Key Management Service'")
$inputObject = $publicKeyManagementServiceRef.CreateMethodInput("GenerateKeyPair")
$inputObject.SetProperty("KeyAlgorithm", "0") 
$inputObject.SetProperty("KeyLength", "2048")  
$outputObject = $publicKeyManagementServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	$publicPrivateKeyPairRef = $outputObject.GetProperty("KeyPair").Ref
	$publicPrivateKeyPairInstance = $publicPrivateKeyPairRef.Get()
	$derKey = $publicPrivateKeyPairInstance.GetProperty("DERKey")
}