﻿$certificateBlob = # The trusted root certificate blob created in step 1. 
$publicKeyManagementServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_PublicKeyManagementService WHERE Name='Intel(r) AMT Public Key Management Service'") 
$inputObject = $publicKeyManagementServiceRef.CreateMethodInput("AddTrustedRootCertificate")
$inputObject.AddProperty("CertificateBlob", $certificateBlob) 
$outputObject = $publicKeyManagementServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
    	# The $publicKeyCertificateRef is an EPR to the new AMT_PublicKeyCertificate object.
	$publicKeyCertificateRef = $outputObject.GetProperty("CreatedCertificate").Ref  
}