﻿$certificateBlob = # The public key certificate blob created in step 1. 
$publicKeyManagementServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_PublicKeyManagementService WHERE Name='Intel(r) AMT Public Key Management Service'")
$inputCertificate = $publicKeyManagementServiceRef.CreateMethodInput("AddCertificate")
$inputCertificate.AddProperty("CertificateBlob", $certificateBlob)
$outputObject = $publicKeyManagementServiceRef.InvokeMethod($inputCertificate)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
    	# The $publicKeyCertificateRef is an EPR to the new AMT_PublicKeyCertificate object.
	$publicKeyCertificateRef = $outputObject.GetProperty("CreatedCertificate").Ref 
}