﻿$keyBlob = # The private key blob created in step 1. 
$publicKeyManagementServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_PublicKeyManagementService WHERE Name='Intel(r) AMT Public Key Management Service'") 
$inputObject = $publicKeyManagementServiceRef.CreateMethodInput("AddKey")
$inputObject.AddProperty("KeyBlob", $keyBlob)
$outputObject = $publicKeyManagementServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
    	# The $publicPrivateKeyPairRef is an EPR to the new AMT_PublicPrivateKeyPair object.
	$publicPrivateKeyPairRef = $outputObject.GetProperty("CreatedKey").Ref
}