# Begin flow template
[CmdletBinding()]
Param (
	[Parameter(Mandatory = $true, position = 0,HelpMessage = "Hostname, FQDN, or IP Address")] [String] $hostname,
	[Parameter(Mandatory = $true, position = 1,HelpMessage = "Digest User")] [string] $user,
	[Parameter(Mandatory = $true, position = 2,HelpMessage = "Digest Password")] [string] $password)

Import-Module 'IntelvPro'

########################################
#   Create a Wsman Connection Object   #
########################################
$wsmanConnectionObject = new-object 'Intel.Management.Wsman.WsmanConnection' 
$wsmanConnectionObject.Username = $user 
$wsmanConnectionObject.Password = $password
$wsmanConnectionObject.Address = "http://" + $hostname + ":16992/wsman"

########################################
#  >>> Insert your code snippet here   #
########################################

Remove-Module 'IntelvPro'
# End flow template