$policyID = "0" # The PolicyID you want to delete.
$infoFormat = "3" # Defines the subscriber - identified either as Ipv4 Address (3) or Ipv6 Address (4). 
$snmpEventSubscriberRef = $wsmanConnectionObject.NewReference("AMT_SNMPEventSubscriber")
foreach($snmpEventSubscriberItem in $snmpEventSubscriberRef.Enumerate())
{
	$snmpEventSubscriberRef = $snmpEventSubscriberItem.Object.ToReference("Name", "CreationClassName")
	$snmpEventSubscriberInstance = $snmpEventSubscriberRef.Get()
	if($snmpEventSubscriberInstance.GetProperty("InfoFormat") -like $infoFormat)
	{
		if($snmpEventSubscriberInstance.GetProperty("PolicyID") -like $policyID)
		{
			$snmpEventSubscriberRef.Delete()
			break
		}
	}	
}