$hostBasedSetupServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM IPS_HostBasedSetupService WHERE Name='Intel(r) AMT Host Based Setup Service'")
$inputObject = $hostBasedSetupServiceRef.CreateMethodInput("AdminSetup")
$inputObject.SetProperty("NetAdminPassEncryptionType", "2") 
$inputObject.SetProperty("NetworkAdminPassword", $networkAdminPassword.ToString())
$inputObject.SetProperty("McNonce", $mcNonce)
$inputObject.SetProperty("SigningAlgorithm", "2")
$inputObject.SetProperty("DigitalSignature", $digitalSignature)
$outputObject = $hostBasedSetupServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")