#Check the AMT version; Need AMT 10 or greater for Remote Screen Blanking
Write-Host "AMT version is: "  $(GetCoreVersion)

#Check if User Consent is required; Remote Screen Blanking will not operate when User Consent is required
$optInServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM IPS_OptInService WHERE Name='Intel(r) AMT OptIn Service'")
$optInServiceInstance = $optInServiceRef.Get()
$optInRequired = $optInServiceInstance.GetProperty("OptInRequired")
Write-Host "User Consent Required: "  $OptInRequired
