﻿# Select the wired interface 
$ethernetPortSettingsRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_EthernetPortSettings WHERE InstanceID='Intel(r) AMT Ethernet Port Settings 0'")
$ethernetPortSettingsInterface = $ethernetPortSettingsRef.Get()
$fwVersion = GetCoreVersion 
if(($fwVersion.ToString() -lt '4.0') -bor (($fwVersion.ToString() -ge '5.0') -band ($fwVersion.ToString() -lt '6.0')))
{
    $vlanTag = $ethernetPortSettingsInstance.GetProperty("VLANTag") 
}
$sharedMAC = $ethernetPortSettingsInterface.GetProperty("SharedMAC")
$macAddress = $ethernetPortSettingsInterface.GetProperty("MACAddress")
$linkIsUp = $ethernetPortSettingsInterface.GetProperty("LinkIsUp")
$linkPolicy = $ethernetPortSettingsInterface.GetProperty("LinkPolicy")