﻿$extendedData = "AAAAAAAAABk=" # = 25 seconds in base 64 with network order.
$remoteAccessServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_RemoteAccessService WHERE Name='Intel(r) AMT Remote Access Service'")
$inputObject = $remoteAccessServiceRef.CreateMethodInput("AddRemoteAccessPolicyRule")
$inputObject.SetProperty("Trigger", "2")
$inputObject.SetProperty("TunnelLifeTime", "0")
$inputObject.SetProperty("ExtendedData", $extendedData) 
# $mpServerRef is an EPR to the AMT_ManagementPresenceRemoteSAP object created by the 'Add a Management Presence Server' use case.
$inputObject.SetProperty("MpServer", $mpServerRef) 
$outputObject = $remoteAccessServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
    $policyRule = $outputObject.GetProperty("PolicyRule")
}