$thirdPartyDataStorageAdministrationServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_ThirdPartyDataStorageAdministrationService WHERE Name='Intel(r) AMT Third Party Data Storage Administration Service'")
$inputObject = $thirdPartyDataStorageAdministrationServiceRef.CreateMethodInput("EnumerateStorageEaclEntries")
$outputObject = $thirdPartyDataStorageAdministrationServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	$handles = $outputObject.GetProperty("Handles")
	for($i = 0; $i -lt $handles.Count; $i++)
	{
		$inputObject = $thirdPartyDataStorageAdministrationServiceRef.CreateMethodInput("GetStorageEaclEntry")
		$inputObject.SetProperty("Handle", $handles.Item($i).ToString())
		$outputObject = $thirdPartyDataStorageAdministrationServiceRef.InvokeMethod($inputObject)
		$returnValue = $outputObject.GetProperty("ReturnValue")
		if($returnValue -like "0")
		{
			$enterpriseName = $outputObject.GetProperty("EnterpriseName")
		}
	}
}