$thirdPartyDataStorageAdministrationServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_ThirdPartyDataStorageAdministrationService WHERE Name='Intel(r) AMT Third Party Data Storage Administration Service'")
$inputObject = $thirdPartyDataStorageAdministrationServiceRef.CreateMethodInput("AdminGetRegisteredApplications")
$outputObject = $thirdPartyDataStorageAdministrationServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObject.GetProperty("ReturnValue")
if($returnValue -like "0")
{
	$applicationHandles = $outputObject.GetProperty("ApplicationHandles")
	for($i = 0; $i -lt $applicationHandles.Count; $i++)
	{
		$inputObject = $thirdPartyDataStorageAdministrationServiceRef.CreateMethodInput("AdminGetApplicationAttributes")
		$inputObject.SetProperty("Handle", $applicationHandles.Item($i).ToString())
		$outputObject = $thirdPartyDataStorageAdministrationServiceRef.InvokeMethod($inputObject)
		$returnValue = $outputObject.GetProperty("ReturnValue")
		if($returnValue -like "0")
		{	
			$attrType = $outputObject.GetProperty("AttrType")
			$uuid = $outputObject.GetProperty("UUID")
			$applicationName = $outputObject.GetProperty("ApplicationName")
			$vendorName = $outputObject.GetProperty("VendorName")
			$enterpriseName = $outputObject.GetProperty("EnterpriseName")
			$currentAllocationSize = $outputObject.GetProperty("CurrentAllocationSize")
			$activeSession = $outputObject.GetProperty("ActiveSession")
			$partner = $outputObject.GetProperty("Partner")
		}
	}
}