﻿$thirdPartyDataStorageServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_ThirdPartyDataStorageService WHERE Name='Intel(r) AMT Third Party Data Storage Service'")
# $groupHandles contains one or more group handles returned by 'GetPermissionsGroup' method.
for($i = 0; $i -lt $groupHandles.Count; $i++)
{
    $inputObject = $thirdPartyDataStorageServiceRef.CreateMethodInput("GetPermissionsGroupMembers")
    # $sessionHandle is the session handle returned by 'RegisterApplication' method.
    $inputObject.SetProperty("SessionHandle", $sessionHandle.ToString())
    # $blockHandle is the block handle returned by 'Create a block for the registered application' use case. 
    $inputObject.SetProperty("BlockHandle", $blockHandle.ToString())
    $inputObject.SetProperty("GroupHandle", $groupHandles.Item($i).ToString())
    $outputObject = $thirdPartyDataStorageServiceRef.InvokeMethod($inputObject)
    $returnValue = $outputObject.GetProperty("ReturnValue")
    if($returnValue -like "0")
    {
          $memberHandles = $outputObject.GetProperty("MemberHandles")
    }
}