$systemDefensePolicyInstance = $wsmanConnectionObject.NewInstance("AMT_SystemDefensePolicy")
$systemDefensePolicyInstance.SetProperty("InstanceID", "n/a")
$systemDefensePolicyInstance.SetProperty("PolicyName", "MyPolicy")
$systemDefensePolicyInstance.SetProperty("PolicyPrecedence", "30")
$systemDefensePolicyInstance.SetProperty("TxDefaultCount", "false")
$systemDefensePolicyInstance.SetProperty("TxDefaultDrop", "false")
$systemDefensePolicyInstance.SetProperty("TxDefaultMatchEvent", "false")
$systemDefensePolicyInstance.SetProperty("RxDefaultCount", "false")
$systemDefensePolicyInstance.SetProperty("RxDefaultDrop", "false")
$systemDefensePolicyInstance.SetProperty("RxDefaultMatchEvent", "false")
# $ipHeadersFilterRef is an EPR to the AMT_IPHeadersFilter object created by the 'Create an IP Filter' use case.  
$ipHeadersFilterInstance = $ipHeadersFilterRef.Get()
$ipFilterInstanceID = $ipHeadersFilterInstance.GetProperty("InstanceID")
# $hdr8021FilterInstance is an EPR to the AMT_Hdr8021Filter object created by the 'Create an Ethernet Filter' use case.
$hdr8021FilterInstance = $hdr8021FilterRef.Get()
$ethernetFilterInstanceID = $hdr8021FilterInstance.GetProperty("InstanceID")
$filterCreationHandles = @($ipFilterInstanceID.ToString(), $ethernetFilterInstanceID.ToString())
$systemDefensePolicyInstance.SetProperty("FilterCreationHandles", $filterCreationHandles)
# The $systemDefensePolicyRef is an EPR to the new AMT_SystemDefensePolicy object.
$systemDefensePolicyRef = $systemDefensePolicyInstance.Create()