﻿$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
$heuristicPacketFilterInterfacePolicyInstance = $wsmanConnectionObject.NewInstance("AMT_HeuristicPacketFilterInterfacePolicy")
$heuristicPacketFilterInterfacePolicyInstance.SetProperty("Antecedent", $ethernetPortRef)
# $systemDefensePolicyRef is an EPR to the AMT_SystemDefensePolicy object created by the 'Create a System Defense Policy' use case.
$heuristicPacketFilterInterfacePolicyInstance.SetProperty("Dependent", $systemDefensePolicyRef)
$heuristicPacketFilterInterfacePolicyRef = $heuristicPacketFilterInterfacePolicyInstance.Create()