﻿# $wifiEndpointSettingsRef is an EPR to the CIM_WiFiEndpointSettings object created by 'Add a Wireless Profile' use case.
$wifiEndpointSettingsInstance = $wifiEndpointSettingsRef.Get()
$wifiEndpointSettingsInstance.SetProperty("PSKPassPhrase", "P@ssw0rd")
$wifiEndpointSettingsInstance.SetProperty("SSID", "Wireless-API-Update")
$wifiPortConfigurationServiceRef = $wsmanConnectionObject.NewReference("SELECT * FROM AMT_WiFiPortConfigurationService WHERE Name='Intel(r) AMT WiFi Port Configuration Service'")
$inputObject = $wifiPortConfigurationServiceRef.CreateMethodInput("UpdateWiFiSettings")
$inputObject.SetProperty("WiFiEndpointSettings", $wifiEndpointSettingsRef)
$inputObject.SetProperty("WiFiEndpointSettingsInput", $wifiEndpointSettingsInstance)
$outputObjet = $wifiPortConfigurationServiceRef.InvokeMethod($inputObject)
$returnValue = $outputObjet.GetProperty("ReturnValue")