//  Copyright (C) 2007 Intel Corporation
#ifndef _AUTHENTICATOR_H
#define _AUTHENTICATOR_H

#include "PacketBuffer.h"
#include "SPtr.h"
#include "SocketLib.h"
#include "AuthenticationDefinitions.h"

class Authenticator
{
public:
	Authenticator(SPtr<Socket> socket);
	virtual ~Authenticator(void);
	virtual AuthenticationResult Authenticate() = 0;
	AuthenticationResult AMTRes2AuthenticationResult(UINT8 status);
protected:
	void prepareAuthMsg(PacketBuffer* packet, int authType);
	SPtr<Socket> m_socket;
};

#endif /*#_AUTHENTICATOR_H*/


