//  Copyright (C) 2007 Intel Corporation
#include "Client.h"

unsigned int Client::_cnt = 0;

Client::Client(SPtr<Socket> socket, CLIENT_TYPE type)
{
	_socket = socket;
	_clientType = type;
	_clientID = _cnt++;
}

Client::~Client()
{
	_socket->close();
}

Client::CLIENT_TYPE Client::GetClientType()
{
	return _clientType;
}

ClientID Client::GetClientID() { 
	return _clientID; 
} 

SPtr<Socket> Client::GetSocket()
{
	return _socket;
}


