﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.PSModule.Amt
{
    
    
    class ValueList
    {
        
        
        public static IDictionary<string, string> OverwritePolicy
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unknown" },
                    { "2", "Wraps When Full" },
                    { "7", "Never Overwrites" }
                };

                return result;
            }
        }


        public static IDictionary<string, string> StoragePolicy
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "NO_ROLL_OVER" },
                    { "1", "ROLL_OVER" },
                    { "2", "RESTRICTED_ROLL_OVER" }
                };

                return result;
            }
        }

        public static IDictionary<string, string> LocalProfileSynchronizationEnabled
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Local synchronization disabled" },
                    { "3", "Unrestricted synchronization" }
                };

                return result;
            }
        }


        public static IDictionary<string, string> PortType
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unknown" },
                    { "1", "Other" },
                    { "70", "802.11a" },
                    { "71", "802.11b" },
                    { "72", "802.11g" },
                    { "73", "802.11n" }
                };

                return result;
            }
        }

        public static IDictionary<string, string> LinkTechnology
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unknown" },
                    { "1", "Other" },
                    { "2", "Ethernet" },
                    { "3", "IB" },
                    { "4", "FC" },
                    { "5", "FDDI" },
                    { "6", "ATM" },
                    { "7", "Token Ring" },
                    { "8", "Frame Relay" },
                    { "9", "Infrared" },
                    { "10", "BlueTooth" },
                    { "11", "Wireless LAN" }
                };

                return result;
            }
        }
     


        public static IDictionary<string, string> AuthenticationProtocol
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "TLS" },
                    { "1", "TTLS_MSCHAPv2" },
                    { "2", "PEAP_MSCHAPv2" },
                    { "3", "EAP_GTC" },
                    { "4", "EAPFAST_MSCHAPv2" },
                    { "5", "EAPFAST_GTC" },
                    { "6", "EAPFAST_TLS" }
                };

                return result;
            }
        }


        public static IDictionary<string, string> CertificateNameComparison
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "FullName" },
                    { "1", "DomainSuffix" }
                };

                return result;
            }
        }


        public static IDictionary<string, string> DefaultScreen
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Primary screen" },
                    { "1", "Secondary screen" }
                };

                return result;
            }
        }

        public static IDictionary<string, string> CurrentControlMode
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unconfigured" },
                    { "1", "Client" },
                    { "2", "Admin" }
                };

                return result;
            }
        }


        public static IDictionary<string, string> ConfigurationState 
        {
            get
            {

                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unconfigured" },
                    { "1", "RemoteStarted" },
                    { "2", "Configured" }
                };

                return result;
            }
        }

        public static IDictionary<string, string> PrivacyLevel 
        {
            get
            {

                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Default" },
                    { "1", "Enhanced" },
                    { "2", "Extreme" }
                };

                return result;
            }
        }
        
        
        public static IDictionary<string, string> PreferredAddressFamily 
        {
            get
            {

                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "IPv4" },
                    { "1", "IPv6" }
                };

                return result;
            }
        }

        public static IDictionary<string, string> LinkControl
        {
            get
            {

                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "1", "ME" },
                    { "2", "HOST" }
                };

                return result;
            }
        }

        public static IDictionary<string, string> LinkPolicy
        {
            get
            {

                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "1", "available on S0 AC" },
                    { "14", "available on Sx AC" },
                    { "16", "available on S0 DC" },
                    { "224", "available on Sx DC" }
                };

                return result;
            }
        }
       
        public static IDictionary<string, string> AuditSetKeyResult
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Success" },
                    { "1", "Internal Error" },
                    { "2", "Not Ready" },
                    { "36", "Invalid Parameter" },
                    { "38", "Flash write limit exceeded" },
                    { "2062", "Invalid Key" },
                    { "2063", "Invalid Certificate" },
                    { "2064", "Certificate key mismatch" },
                    { "2066", "Unsupported" }
                };
                return result;
            }
        }

        public static IDictionary<string, string> KvmEnabledState
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unknown" },
                    { "1", "Other" },
                    { "2", "Enabled" },
                    { "3", "Disabled" },
                    { "6", "Enabled but Offline" }
                };
                return result;
            }
        }

        public static IDictionary<string, string> MemoryFormFactor
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unknown" },
                    { "1", "Other" },
                    { "2", "Unknown" },
                    { "3", "SIMM" },
                    { "4", "SIP" },
                    { "5", "CHIP" },
                    { "6", "DIP" },
                    { "7", "ZIP" },
                    { "8", "Proprietary" },
                    { "9", "DIMM" },
                    { "10", "TSOP" },
                    { "11", "RowOfChips" },
                    { "12", "RIMM" },
                    { "13", "SODIMM" },
                    { "14", "SRIMM" },
                    { "15", "FB_DIMM" },
                    { "16", "SMD" },
                    { "17", "SSMP" },
                    { "18", "QFP" },
                    { "19", "TQFP" },
                    { "20", "SOIC" },
                    { "21", "LCC" },
                    { "22", "PLCC" },
                    { "23", "BGA" },
                    { "24", "FPBGA" },
                    { "25", "LGA" }
                };
                return result;
            }
        }

        public static IDictionary<string, string> MemoryType
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unknown" },
                    { "1", "Other" },
                    { "2", "DRAM" },
                    { "3", "Synchronous DRAM" },
                    { "4", "Cache DRAM" },
                    { "5", "EDO" },
                    { "6", "EDRAM" },
                    { "7", "VRAM" },
                    { "8", "SRAM" },
                    { "9", "RAM" },
                    { "10", "ROM" },
                    { "11", "Flash" },
                    { "12", "EEPROM" },
                    { "13", "FEPROM" },
                    { "14", "EPROM" },
                    { "15", "CDRAM" },
                    { "16", "3DRAM" },
                    { "17", "SDRAM" },
                    { "18", "SGRAM" },
                    { "19", "RDRAM" },
                    { "20", "DDR" },
                    { "21", "DDR-2" },
                    { "22", "BRAM" },
                    { "23", "FB-DIMM" },
                    { "24", "DDR3" },
                    { "25", "FBD2" },
                    { "26", "DDR4" },
                    { "27", "LPDDR" },
                    { "28", "LPDDR2" },
                    { "29", "LPDDR3" },
                    { "30", "LPDDR4" },
                    { "31", "Logical NVM" },
                    { "32", "HBM" },
                    { "33", "HBM2" },
                    { "34", "DDR5" },
                    { "35", "LPDDR5" },
                    { "36", "HBM3" }
                };
                return result;
            }
        }

        public static IDictionary<string, string> MemoryAccess
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unknown" },
                    { "1", "Readable" },
                    { "2", "Writeable" },
                    { "3", "Read/Write Supported" },
                    { "4", "Write Once" }
                };
                return result;
            }
        }

        public static IDictionary<string, string> CpuUpgradeMethod
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "1", "Other" },
                    { "2", "Unknown" },
                    { "3", "Daughter Board" },
                    { "4", "ZIF Socket" },
                    { "5", "Replacement/Piggy Back" },
                    { "6", "None" },
                    { "7", "LIF Socket" },
                    { "8", "Slot 1" },
                    { "9", "Slot 2" },
                    { "10", "370 Pin Socket" },
                    { "11", "Slot A" },
                    { "12", "Slot M" },
                    { "13", "Socket 423" },
                    { "14", "Socket A (Socket 462)" },
                    { "15", "Socket 478" },
                    { "16", "Socket 754" },
                    { "17", "Socket 940" },
                    { "18", "Socket 939" },
                    { "19", "Socket mPGA604" },
                    { "20", "Socket LGA771" },
                    { "21", "Socket LGA775" },
                    { "22", "Socket S1" },
                    { "23", "Socket AM2" },
                    { "24", "Socket F (1207)" },
                    { "25", "Socket LGA1366" },
                    { "26", "Socket G34" },
                    { "27", "Socket AM3" },
                    { "28", "Socket C32" },
                    { "29", "Socket LGA1156" },
                    { "30", "Socket LGA1567" },
                    { "31", "Socket PGA988A" },
                    { "32", "Socket BGA1288" },
                    { "33", "Socket rPGA988B" },
                    { "34", "Socket BGA1023" },
                    { "35", "Socket BGA1224" },
                    { "36", "Socket LGA1155" },
                    { "37", "Socket LGA1356" },
                    { "38", "Socket LGA2011" },
                    { "39", "Socket FS1" },
                    { "40", "Socket FS2" },
                    { "41", "Socket FM1" },
                    { "42", "Socket FM2" },
                    { "43", "Socket LGA2011 3" },
                    { "44", "Socket LGA1356 3" },
                    { "45", "Socket LGA1150" },
                    { "46", "Socket BGA1168" },
                    { "47", "Socket BGA1234" },
                    { "48", "Socket BGA1364" },
                    { "49", "Socket AM4" },
                    { "50", "Socket LGA1151" },
                    { "51", "Socket BGA1356" },
                    { "52", "Socket BGA1440" },
                    { "53", "Socket BGA1515" },
                    { "54", "Socket LGA3647 1" },
                    { "55", "Socket SP3" },
                    { "56", "Socket SP3r2" },
                    { "57", "Socket LGA2066" },
                    { "58", "Socket BGA1392" },
                    { "59", "Socket BGA1510" },
                    { "60", "Socket BGA1528" },
                    { "61", "Socket LGA4189" },
                    { "62", "Socket LGA1200" },
                    { "63", "Socket LGA4677" },
                    { "64", "Socket LGA1700" },
                    { "65", "Socket BGA1744" },
                    { "66", "Socket BGA1781" },
                    { "67", "Socket BGA1211" },
                    { "68", "Socket BGA2422" },
                    { "69", "Socket LGA1211" },
                    { "70", "Socket LGA2422" },
                    { "71", "Socket LGA5773" },
                    { "72", "Socket BGA5773" },
                    { "73", "Socket AM5" },
                    { "74", "Socket SP5" },
                    { "75", "Socket SP6" },
                    { "76", "Socket BGA883" },
                    { "77", "Socket BGA1190" },
                    { "78", "Socket BGA4129" },
                    { "79", "Socket LGA4710" },
                    { "80", "Socket LGA7529" }
                };
                return result;
            }
            
        }

        public static IDictionary<string, string> CpuStatus
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "0", "Unknown" },
                    { "1", "CPU Enabled" },
                    { "2", "CPU Disabled by User" },
                    { "3", "CPU Disabled By BIOS (POST Error)" },
                    { "4", "CPU Is Idle" },
                    { "7", "Other" }
                };
                return result;
            }
        }


        public static IDictionary<string, string> CpuFamily
        {
            get
            {
                Dictionary<string, string> result = new Dictionary<string, string>
                {
                    { "1", "Other" },
                    { "2", "Unknown" },
                    { "3", "8086" },
                    { "4", "80286" },
                    { "5", "80386" },
                    { "6", "80486" },
                    { "7", "8087" },
                    { "8", "80287" },
                    { "9", "80387" },
                    { "10", "80487" },
                    { "11", "Pentium(R) brand" },
                    { "12", "Pentium(R) Pro" },
                    { "13", "Pentium(R) II" },
                    { "14", "Pentium(R) processor with MMX(TM) technology" },
                    { "15", "Celeron(TM)" },
                    { "16", "Pentium(R) II Xeon(TM)" },
                    { "17", "Pentium(R) III" },
                    { "18", "M1 Family" },
                    { "19", "M2 Family" },
                    { "20", "Intel(R) Celeron(R) M processor" },
                    { "21", "Intel(R) Pentium(R) 4 HT processor" },
                    { "22", "Intel(R) Processor" },
                    { "24", "K5 Family" },
                    { "25", "K6 Family" },
                    { "26", "K6-2" },
                    { "27", "K6-3" },
                    { "28", "AMD Athlon(TM) Processor Family" },
                    { "29", "AMD(R) Duron(TM) Processor" },
                    { "30", "AMD29000 Family" },
                    { "31", "K6-2+" },
                    { "32", "Power PC Family" },
                    { "33", "Power PC 601" },
                    { "34", "Power PC 603" },
                    { "35", "Power PC 603+" },
                    { "36", "Power PC 604" },
                    { "37", "Power PC 620" },
                    { "38", "Power PC X704" },
                    { "39", "Power PC 750" },
                    { "40", "Intel(R) Core(TM) Duo processor" },
                    { "41", "Intel(R) Core(TM) Duo mobile processor" },
                    { "42", "Intel(R) Core(TM) Solo mobile processor" },
                    { "43", "Intel(R) Atom(TM) processor" },
                    { "48", "Alpha Family" },
                    { "49", "Alpha 21064" },
                    { "50", "Alpha 21066" },
                    { "51", "Alpha 21164" },
                    { "52", "Alpha 21164PC" },
                    { "53", "Alpha 21164a" },
                    { "54", "Alpha 21264" },
                    { "55", "Alpha 21364" },
                    { "56", "AMD Turion(TM) II Ultra Dual-Core Mobile M Processor Family" },
                    { "57", "AMD Turion(TM) II Dual-Core Mobile M Processor Family" },
                    { "58", "AMD Athlon(TM) II Dual-Core Mobile M Processor Family" },
                    { "64", "MIPS Family" },
                    { "65", "MIPS R4000" },
                    { "66", "MIPS R4200" },
                    { "67", "MIPS R4400" },
                    { "68", "MIPS R4600" },
                    { "69", "MIPS R10000" },
                    { "80", "SPARC Family" },
                    { "81", "SuperSPARC" },
                    { "82", "microSPARC II" },
                    { "83", "microSPARC IIep" },
                    { "84", "UltraSPARC" },
                    { "85", "UltraSPARC II" },
                    { "86", "UltraSPARC IIi" },
                    { "87", "UltraSPARC III" },
                    { "88", "UltraSPARC IIIi" },
                    { "96", "68040" },
                    { "97", "68xxx Family" },
                    { "98", "68000" },
                    { "99", "68010" },
                    { "100", "68020" },
                    { "101", "68030" },
                    { "112", "Hobbit Family" },
                    { "120", "Crusoe(TM) TM5000 Family" },
                    { "121", "Crusoe(TM) TM3000 Family" },
                    { "122", "Efficeon(TM) TM8000 Family" },
                    { "128", "Weitek" },
                    { "129", "Reserved" },
                    { "130", "Itanium(TM) Processor" },
                    { "131", "AMD Athlon(TM) 64 Processor Family" },
                    { "132", "AMD Opteron(TM) Processor Family" },
                    { "133", "AMD Sempron(TM) Processor Family" },
                    { "134", "AMD Turion(TM) 64 Mobile Technology" },
                    { "135", "Dual-Core AMD Opteron(TM) Processor Family" },
                    { "136", "AMD Athlon(TM) 64 X2 Dual-Core Processor Family" },
                    { "137", "AMD Turion(TM) 64 X2 Mobile Technology" },
                    { "138", "Quad-Core AMD Opteron(TM) Processor Family" },
                    { "139", "Third-Generation AMD Opteron(TM) Processor Family" },
                    { "140", "AMD Phenom(TM) FX Quad-Core Processor Family" },
                    { "141", "AMD Phenom(TM) X4 Quad-Core Processor Family" },
                    { "142", "AMD Phenom(TM) X2 Dual-Core Processor Family" },
                    { "143", "AMD Athlon(TM) X2 Dual-Core Processor Family" },
                    { "144", "PA-RISC Family" },
                    { "145", "PA-RISC 8500" },
                    { "146", "PA-RISC 8000" },
                    { "147", "PA-RISC 7300LC" },
                    { "148", "PA-RISC 7200" },
                    { "149", "PA-RISC 7100LC" },
                    { "150", "PA-RISC 7100" },
                    { "160", "V30 Family" },
                    { "161", "Quad-Core Intel(R) Xeon(R) processor 3200 Series" },
                    { "162", "Dual-Core Intel(R) Xeon(R) processor 3000 Series" },
                    { "163", "Quad-Core Intel(R) Xeon(R) processor 5300 Series" },
                    { "164", "Dual-Core Intel(R) Xeon(R) processor 5100 Series" },
                    { "165", "Dual-Core Intel(R) Xeon(R) processor 5000 Series" },
                    { "166", "Dual-Core Intel(R) Xeon(R) processor LV" },
                    { "167", "Dual-Core Intel(R) Xeon(R) processor ULV" },
                    { "168", "Dual-Core Intel(R) Xeon(R) processor 7100 Series" },
                    { "169", "Quad-Core Intel(R) Xeon(R) processor 5400 Series" },
                    { "170", "Quad-Core Intel(R) Xeon(R) processor" },
                    { "171", "Dual-Core Intel(R) Xeon(R) processor 5200 Series" },
                    { "172", "Dual-Core Intel(R) Xeon(R) processor 7200 Series" },
                    { "173", "Quad-Core Intel(R) Xeon(R) processor 7300 Series" },
                    { "174", "Quad-Core Intel(R) Xeon(R) processor 7400 Series" },
                    { "175", "Multi-Core Intel(R) Xeon(R) processor 7400 Series" },
                    { "176", "Pentium(R) III Xeon(TM)" },
                    { "177", "Pentium(R) III Processor with Intel(R) SpeedStep(TM) Technology" },
                    { "178", "Pentium(R) 4" },
                    { "179", "Intel(R) Xeon(TM)" },
                    { "180", "AS400 Family" },
                    { "181", "Intel(R) Xeon(TM) processor MP" },
                    { "182", "AMD Athlon(TM) XP Family" },
                    { "183", "AMD Athlon(TM) MP Family" },
                    { "184", "Intel(R) Itanium(R) 2" },
                    { "185", "Intel(R) Pentium(R) M processor" },
                    { "186", "Intel(R) Celeron(R) D processor" },
                    { "187", "Intel(R) Pentium(R) D processor" },
                    { "188", "Intel(R) Pentium(R) Processor Extreme Edition" },
                    { "189", "Intel(R) Core(TM) Solo Processor" },
                    { "190", "K7" },
                    { "191", "Intel(R) Core(TM)2 Duo Processor" },
                    { "192", "Intel(R) Core(TM)2 Solo processor" },
                    { "193", "Intel(R) Core(TM)2 Extreme processor" },
                    { "194", "Intel(R) Core(TM)2 Quad processor" },
                    { "195", "Intel(R) Core(TM)2 Extreme mobile processor" },
                    { "196", "Intel(R) Core(TM)2 Duo mobile processor" },
                    { "197", "Intel(R) Core(TM)2 Solo mobile processor" },
                    { "198", "Intel(R) Core(TM) i7 processor" },
                    { "199", "Dual-Core Intel(R) Celeron(R) Processor" },
                    { "200", "S/390 and zSeries Family" },
                    { "201", "ESA/390 G4" },
                    { "202", "ESA/390 G5" },
                    { "203", "ESA/390 G6" },
                    { "204", "z/Architectur base" },
                    { "205", "Intel(R) Core(TM) i5 processor" },
                    { "210", "VIA C7(TM)-M Processor Family" },
                    { "211", "VIA C7(TM)-D Processor Family" },
                    { "212", "VIA C7(TM) Processor Family" },
                    { "213", "VIA Eden(TM) Processor Family" },
                    { "214", "Multi-Core Intel(R) Xeon(R) processor" },
                    { "215", "Dual-Core Intel(R) Xeon(R) processor 3xxx Series" },
                    { "216", "Quad-Core Intel(R) Xeon(R) processor 3xxx Series" },
                    { "217", "VIA Nano(TM) Processor Family" },
                    { "218", "Dual-Core Intel(R) Xeon(R) processor 5xxx Series" },
                    { "219", "Quad-Core Intel(R) Xeon(R) processor 5xxx Series" },
                    { "221", "Dual-Core Intel(R) Xeon(R) processor 7xxx Series" },
                    { "222", "Quad-Core Intel(R) Xeon(R) processor 7xxx Series" },
                    { "223", "Multi-Core Intel(R) Xeon(R) processor 7xxx Series" },
                    { "224", "Multi-Core Intel(R) Xeon(R) processor 3400 Series" },
                    { "230", "Embedded AMD Opteron(TM) Quad-Core Processor Family" },
                    { "231", "AMD Phenom(TM) Triple-Core Processor Family" },
                    { "232", "AMD Turion(TM) Ultra Dual-Core Mobile Processor Family" },
                    { "233", "AMD Turion(TM) Dual-Core Mobile Processor Family" },
                    { "234", "AMD Athlon(TM) Dual-Core Processor Family" },
                    { "235", "AMD Sempron(TM) SI Processor Family" },
                    { "236", "AMD Phenom(TM) II Processor Family" },
                    { "237", "AMD Athlon(TM) II Processor Family" },
                    { "238", "Six-Core AMD Opteron(TM) Processor Family" },
                    { "239", "AMD Sempron(TM) M Processor Family" },
                    { "250", "i860" },
                    { "251", "i960" },
                    { "254", "Reserved (SMBIOS Extension)" },
                    { "255", "Reserved (Un-initialized Flash Content - Lo)" },
                    { "260", "SH-3" },
                    { "261", "SH-4" },
                    { "280", "ARM" },
                    { "281", "StrongARM" },
                    { "300", "6x86" },
                    { "301", "MediaGX" },
                    { "302", "MII" },
                    { "320", "WinChip" },
                    { "350", "DSP" },
                    { "500", "Video Processor" },
                    { "65534", "Reserved (For Future Special Purpose Assignment)" },
                    { "65535", "Reserved (Un-initialized Flash Content - Hi)" }
                };
                return result;
            }
        }
    }

}
