﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.Module
{
    public class AmtDriveContainer : AmtDriveItem
    {

        //cached items in container
        protected AmtDriveItem[] _items;


        public AmtDriveContainer(string name) : base(name,"Container")
        {
            _items = _emptyContainer;
        }
       
        public AmtDriveContainer(string name,AmtDriveItem[] items) : base(name,"Container")
        {
            _items = items;
        }

        public AmtDriveContainer(string name, AmtDriveItem item) : base(name, "Container")
        {
            _items = new AmtDriveItem[0];
            _items[0] = item; ;
        }

        public override AmtDriveItem[] GetChildItems(AmtDriveInfo driveInfo)
        {
            return _items;
        }       
    }
}
