﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Management.Automation;


namespace Intel.Management.Module.Amt
{
    public class AmtDriveParameters
    {
        public AmtDriveParameters()
        {
            _useTls = new SwitchParameter(false);
            _computerName = string.Empty;
            _vendorName = string.Empty;
            _appnName = string.Empty;
            _uuid = Guid.Empty;

        }


        [Parameter(Mandatory = false)]
        public string ComputerName
        {
            get { return _computerName; }
            set { _computerName = value; }
        }

        [Parameter(Mandatory = false)]
        public SwitchParameter TLS
        {
            get { return _useTls; }
            set { _useTls = value; }
        }


        [Parameter(Mandatory = false)]
        public string Vendor
        {
            get { return _vendorName; }
            set { _vendorName = value; }
        }

        [Parameter(Mandatory = false)]
        public string Application
        {
            get { return _appnName; }
            set { _appnName = value; }
        }

        [Parameter(Mandatory = false)]
        public Guid UUID
        {
            get { return _uuid; }
            set { _uuid = value; }
        }

        string _computerName;
        string _vendorName;
        string _appnName;
        SwitchParameter _useTls;
        Guid _uuid;
    }
}
