﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.PSModule
{
    class NameValuePairItem
    {
        string _name;
        object _value;

        public NameValuePairItem(string name, object value)
        {
            _name = name;
            _value = value;
        }

        public string Name
        {
            get { return _name; }
        }

        public object Value
        {
            get { return _value; }
        }

        public string Type
        {
            get
            {
                string result = string.Empty;

                if (_value != null)
                    result = _value.GetType().FullName;


                if (result.StartsWith("Intel.Management."))
                {
                    result = _value.GetType().Name;

                }


                return result;
            }
        }

        
    }//end of NameValuePairItem


    class WideValueItem : NameValuePairItem
    {
        public WideValueItem(string name, object value) : base(name, value) { }
    }
}//end of namespece
