﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.Wsman
{

    ///<summary>
    ///An exception that is thrown when an WsMan Reciever fault occurs
    /// </summary>
    public class WsmanRecieverFault : WsmanException
    {
        /// <summary>
        /// Initializes a new instance of the WsmanRecieverFault class with a message string
        /// </summary>
        /// <param name="message">The error message string</param>
        public WsmanRecieverFault(string message) : base(message) { }
        /// <summary>
        /// Initializes a new instance of the WsmanSenderExeption class with a message string a inner exception
        /// </summary>
        /// <param name="message">The error message string</param>
        /// <param name="inner">The inner exception reference</param>
        public WsmanRecieverFault(string message, Exception inner) : base(message, inner) { }
    }
}
